[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#189164: libdbd-mysql-perl uses GPL lib, may be used by GPL-incompatible apps

On Tue, 2003-05-20 at 05:15, Branden Robinson wrote:

> I am uncomfortable with some of the ramifications but I am also
> uncomfortable with totally declawing the GNU GPL by adopting and
> interpretation of it that would let people wrapper and language-bind
> their way out of the copyleft commons.

At some point, we've got to draw a line where it's de-clawed. After all,
I think we all agree that if a shell script calls GNU grep[0], it isn't
required to be under the GPL.

So, is encapsulating code in the kernel's execve interface always OK?

[0] Which, btw, has many extensions over POSIX or BSD grep,
    so there is not, AFAIK, an alternative implementation.
    Alternatively, put "gcc" or your favorite GPL program in
    its place.

Reply to: